How to fix Wamp Httpd Exe Application Error?

You’ve just installed WAMP and when you clicked to start it doesn’t work, Instead, it shows an error which tells that “The application was unable to start correctly (0xc0000142). Click OK to close the application“. You’ve followed several instructions to solve the error but it came back with the error message.

Wampp Requirements:

You must ensure that your system has “up to date” versions of ALL the following Microsoft redistributable packages (Microsoft C/C++ Runtime Libraries). For 64-bit WAMP server, you need 64-bit version of VC++ and for 32-bit you need the 32-bit version:


Microsoft Visual C/C++ Redistributable Direct links

Year 64 bit 32 bit
2015 (VC14) Click here Click here
2013 (VC13) Click here Click here
2012 (VC11) Click here Click here
2010 (VC10) Click here Click here
2008 (VC9) Click here Click here

In order to fix the error, WAMP has released a cumulative update. It is strongly encouraged that you apply this update after you’ve installed WAMP.

Wamp Download Links :



Important: 

While installing WAMP make sure to run the .exe with Administrator permission (right click on the icon and select “Run as administrator”)
Once you installed Wampp next install the fix in the same directory where the WAMP was installed. After you have applied this fix, you will be able to start (Apache) WAMP normally.

Other Related Fix:

If you are using the latest Skype, Then from Skype window go to Tools → Options → Advanced → Connection. Disable the “Use port 80 and 443 for alternatives for incoming connections“.
Sign Out and Close all Skype windows. Try to restart your Apache again.

Post a Comment

Previous Post Next Post